function E0090()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    MNA()CMU("CS_Jenka")FAI(4)
end

function Door_GoJenkaHouseAround()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoJenkaHouseAround",0,1)FAO(2)TRA("CS_jenka_house_around","E0090",12,14)
end

function Jenka1()
    if(FLJ("CarriedPuppy")) then
        KEY()FAC("jenka_normal")MS4("Without Misery's help,")NOD()
        CAT("\nordinary folks can't reach")
        CAT("\nthis place.")NOD()
        CAT("\nIf your matter is urgent,")NOD()
        CAT("\nyou'd better hurry along.")NOD()
    else
        KEY()FAC("jenka_normal")MS4("It's been so long since")
        CAT("\nanyone visited here...")NOD()
        CAT("\nSo, what brings you to me?")NOD()CLR()
        GIT("TorokoNecklace")
        FAC("jack_normal")CAT("Could you help me")
        CAT("\nfind the owner of this item?")NOD()
        CAT("\nShe's been captured by monsters,")NOD()
        CAT("\nand we need to rescue her.")NOD()CLR()
        GIT()
        FAC("jenka_normal")CAT("\nI see, you're searching for someone.")NOD()CLR()
        CAT("Why don't you ask my dogs?")NOD()
        CAT("\nSee which one is interested")
        CAT("\nin accompanying you.")NOD()CLO()
        CNP("Puppy2","CS_puppy_barking",0,0)
        WAI(32)
        AMC("normal",1)
        WAI(32)
        CNP("Puppy2","CS_puppy_sitting",0,0)
        FAC("jenka_normal")MS4("It seems Mick is willing to")
        CAT("\nassist you.")NOD()
        CAT("\nTake him along with you.")NOD()CLR()
        FAC("jack_normal")CAT("\nThank you, Granny!")NOD()CLO()
        FAO(2)
        --背上了小狗
        if(PLY() == MCI("CS_mychar_jack")) then
            --杰克背
            FLP("CarriedPuppy_Jack")
        else
            --桑塔背
            FLP("CarriedPuppy_Santa")
        end
        GIT("Mick")
        ITP("Mick")
        SOU("CS_038_get_item")
        FLP("CarriedPuppy")
        MS3("Mick joined your team.")NOD()CLO()
        GIT()
        MSD("GoFindJenka")
        TRA("CS_jenka_house","E0090",16,15)
    end
end

function Puppy1()
    KEY()MS4("\nWoof!")NOD()
end

function Puppy2()
    KEY()MS4("\nWoof woof!")NOD()
end

function Puppy3()
    KEY()MS4("\nWoof!")NOD()
end

function Puppy4()
    KEY()MS4("\nWoof!")NOD()
end

function Puppy5()
    KEY()MS4("\nｚｚｚｚ...")NOD()
end